class MyList {
    private Node list;
    
    public MyList(){
	list = null;
    }
    
    public void add (String e){		
	Node node = new Node(e);
	Node current = list;	
	if(list == null){
	    list = node;
	}
	else{
	    current = list;
	    while (current.getNext()!=null)
		current = current.getNext();
	    current.setNext(node);
	}
    }

    public boolean remove(String e){
	Node current = list;
	if(current == null)
	    return false;
	if(e.equals(current.getData())){
	    list = current.getNext();
	    return true;
	}
	Node previous = list;
	current = previous.getNext();
	while(current != null){
	    if(e.equals(current.getData())){
		previous.setNext(current.getNext());
		return true;
	    }
	    previous = current;
	    current = previous.getNext();
	}
	return false;
    }
    

    public String toString(){
	String result = "";
	Node current = list;
	while(current!=null){
	    result = result + current.getData() + " ";
	    current = current.getNext();
	}
	return result;
    }
}






