class MyGenericList<T> {
    private GenericNode<T> list;
    
    public MyGenericList(){
	list = null;
    }
    
    public void add (T t){		
	GenericNode<T> node = new GenericNode<T>(t);
	GenericNode<T> current = list;	
	if(list == null){
	    list = node;
	}
	else{
	    current = list;
	    while (current.getNext()!=null)
		current = current.getNext();
	    current.setNext(node);
	}
    }

    public boolean remove(T t){
	GenericNode<T> current = list;
	if(current == null)
	    return false;
	if(t.equals(current.getData())){
	    list = current.getNext();
	    return true;
	}
	GenericNode<T> previous = list;
	current = previous.getNext();
	while(current != null){
	    if(t.equals(current.getData())){
		previous.setNext(current.getNext());
		return true;
	    }
	    previous = current;
	    current = previous.getNext();
	}
	return false;
    }
    

    public String toString(){
	String result = "";
	GenericNode<T> current = list;
	while(current!=null){
	    result += current.getData() + " ";
	    current = current.getNext();
	}
	return result;
    }
}






